Subject: bug#50387: Possible bug in Tramp or in completions

From: Gregory Heytings <[email-masked]>
Date: Tue, 07 Sep 2021 19:02:06 +0000

>
> I will, when I'm convinced the current situation isn't acceptable. The 
> current situation (you must type a char in order to see the host name) 
> is described in the Tramp manual, and I haven't heard complaints about 
> since ever.
>

That might be what the manual says, but it's not what the current 
situation actually is.  Type C-x C-f /scp TAB and you'll see scp: scpx:. 
Type C-x C-f /scp: TAB and you'll see scp:foo: scp:bar:.  This is 
coherent, ':' acts like a directory separator, like the '://' in URLs.

But for those who use the substring and flex completion styles, typing C-x 
C-f /scp TAB displays pscp: scp: scpx:.  Typing C-x C-f /scp: TAB still 
displays scp: scpx:.  This isn't at all coherent.